## BtMainToolbar BtMainToolbar — class for the editor main toolbar |

## Synopsis

    #include "bt-edit.h"

                        BtMainToolbar;
    BtMainToolbar *     bt_main_toolbar_new                 (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkToolbar
                                     +----BtMainToolbar

## Implemented Interfaces

BtMainToolbar implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkToolShell.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Contains typical applications buttons for file i/o and playback, plus volume meters and volume control.

## Details

### BtMainToolbar

    typedef struct _BtMainToolbar BtMainToolbar;

the main toolbar for the editor application

### bt_main_toolbar_new ()

    BtMainToolbar *     bt_main_toolbar_new                 (const BtEditApplication *app);

Create a new instance

`app` : | the application the toolbar belongs to
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the menu belongs to.